using UnityEngine;

public class StaticWaypoint : Waypoint {

	private Vertex vertex;

	public StaticWaypoint(Vertex vertex) {
		this.vertex = vertex;
	}

	override public Vertex getVertex() {
		return vertex;
	}

	override public bool isTooFar() {
		return false;
	}

	override public bool isValid() {
		return true;
	}

	override public void resetInfo() {
	}
}
